List all providers supported by RAD
curl --request GET \
--url https://api.prd.rad.security/tenants/{tenant_id}/integrations/providersimport requests
url = "https://api.prd.rad.security/tenants/{tenant_id}/integrations/providers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prd.rad.security/tenants/{tenant_id}/integrations/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_offset": 123,
"has_more": true,
"total_count": 123,
"entries": [
{
"name": "<string>",
"categories": [
"<string>"
],
"configured": [
{
"id": "<string>",
"name": "<string>",
"config": {}
}
],
"config": [
{
"title": "<string>",
"key": "<string>",
"enum_values": [
"<string>"
],
"description": "<string>",
"required": true
}
]
}
]
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}integrations
List all providers supported by RAD
GET
/
tenants
/
{tenant_id}
/
integrations
/
providers
List all providers supported by RAD
Path Parameters
RAD tenant ID
Response
List of supported providers
⌘I